declare namespace BA.Ui.ClientSideControls.List {
    /**
     * This class inherits from ListControl and overrides GetDataGridOptions in order to decide whether the list of
     * appointments should be rendered with a border or not.
     */
    class DayAtAGlanceListControl extends BA.Ui.ClientSideControls.List.ListControl {
        /**
         * Overrides GetDataGridOptions in order to decide whether the list of appointments should render a border or not
         * @param dataStore
         * @param createParameters
         */
        protected GetDataGridOptions(dataStore: DevExpress.data.CustomStore, createParameters: ListControlCreateParameters): DevExpress.ui.dxDataGrid.Properties;
    }
}
