declare namespace BA.Ui.Models {
    class FormHiddenDataModel {
        FormGuid: BA.Classes.Guid;
        FromId: string;
        FormInDialog: Boolean;
        RecordId: BA.Classes.Guid;
        OrmDataSource: string;
        TemporaryKey: BA.Classes.Guid;
        RecordCacheId: BA.Classes.Guid;
        TemplateId: string;
        OnBeginMethod: string;
        OnSuccessMethod: string;
        OnFailureMethod: string;
        RefreshGridOnSuccessId: string;
        FormTabTitle: string;
        FormTabIcon: string;
        AdditionalData: {
            [key: string]: any;
        };
        TagCloudData: TagCloudDataModel[];
        DialogButtonsDefinition: DialogButtonDefinition[];
        FormResult: JsonFormResult;
        OpenBehavior: any;
        ActionPostSave: ActionPostSaveModel;
        ActionFormRefresh: ActionFormRefreshModel;
        EditMode: boolean;
        MustSave: boolean;
        MustForceReadMode: boolean;
        DuplicateChangeInfo: BA.Ui.Duplicates.DuplicateChangeInfoTransferModel[];
        ClientSideEvents: any[];
        TriggerName: string;
        Fields: any[];
        ClientSideStateMemorize: any[];
        ClientSideStateRestore: any[];
        ControlsStateMethods: any[];
        FormStateData: {};
        PageGuid: BA.Classes.Guid;
        ViewStateRevision: number;
    }
    class ActionPostSaveModel {
        HandlerClass: string;
        Parameters?: CustomData;
        Callback?: string;
        CallbackParameters?: CustomData;
    }
    class ActionFormRefreshModel extends ActionPostSaveModel {
        SaveOnSuccess: boolean;
        SkipValidationBeforeRefresh: boolean;
    }
}
